.container-main {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  border-style: solid;
  padding: 1%;
  gap: 4%;
  height: calc(100vh - 50px);
  background-color: darkslategray;
}

.sidebar {
  height: auto;
  flex: 0;
  order: 1;
  border-style: solid;
  justify-items: center;
  box-sizing: border-box;
  text-align: center;
  background-color: white;
}

.nav {
  border-style: solid;
  border-width: medium;
  margin: 5%;
}

.navlink {
  color: darkred;
}

.navlink:hover {
  color: black;
}

a {
  display: inline-block;
  padding: 1%;
  text-decoration: none;
}

.maincontent {
  height: auto;
  flex: 1;
  order: 2;
  border-style: solid;
  gap: 20%;
  box-sizing: border-box;
  background-color: white;
  display: flex;
  justify-content: center;
}

.mapcontent {
  height: auto;
  flex: 1;
  order: 2;
  border-style: solid;
  gap: 20%;
  box-sizing: border-box;
  background-color: white;
  display: flex;
  justify-content: center;
}

.maptitle {
  align-self: flex-start;
  text-align: center;
  margin: 2%;
  font-size: x-large;
  border-style: solid;
  display: inline-block;
  width: fit-content;
  margin-top: 1%;
  padding: 1%;
}

.pfp img {
  flex: auto, 0, 50%;
  height: 250px;
  width: auto;
  padding: 2%;
  box-sizing: border-box;
  border-style: solid;
  border-color: red;
  border-spacing: auto;
}

.h2 {
  display: flex;
}